<?php declare(strict_types=1);

namespace App\Dto\Service\ProjectTranslationServiceTextHash;

final class TranslateCodes
{
    private array $codes = [];
    private array $hashes = [];

    public function add(int $languageId, string $code, string $hash, int $hashId): self
    {
        if (!isset($this->codes[$languageId])) {
            $this->codes[$languageId] = [];
        }
        $this->codes[$languageId][] = $code;

        if (!isset($this->hashes[$languageId])) {
            $this->hashes[$languageId] = [];
        }
        $this->hashes[$languageId][$code] = [
            'hash' => $hash,
            'hashId' => $hashId,
        ];

        return $this;
    }

    public function getCodes(): array
    {
        return $this->codes;
    }

    public function getHashesByLanguage(int $languageId): array
    {
        return $this->hashes[$languageId] ?? [];
    }
}
