<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('project_translation_service_text_hashes', function (Blueprint $table) {
            $table->id();
            $table->string('code');
            $table->unsignedBigInteger('language_id')->index();
            $table->foreign('language_id')->references('id')->on('project_languages');
            $table->unsignedInteger('status')->index()->default(0);
            $table->char('hash', 64);
            $table->timestamps();

            $table->unique(['language_id', 'code'], 'unique_language_code');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('project_translation_service_text_hashes');
    }
};
